%% compare benchmarking result
clc, clear, close all

path(pathdef)

addpath('0_Preissing')

load calculationOfMineForBenchmarking_fullvib.mat
air_list_fullvib = mine_reset_air;
mine_n_NO_fullvib = cell2mat(mine_n_NO_list);

load calculationOfMineForBenchmarking_7e15_N2AB.mat
air_list_7e15_N2AB = mine_reset_air;
mine_n_NO_7e15_N2AB = cell2mat(mine_n_NO_list);

load calculationOfMineForBenchmarking_air4_1p5e15N2AB.mat
air_list_air4_1p5e15N2AB = mine_reset_air;
mine_n_NO_air4_1p5e15N2AB = cell2mat(mine_n_NO_list);

[Experiment_n_NO_air, Experiment_n_NO] = get_n_Te('Meas_B2_AirVariation_0point8W.csv');


figure(2)
m2 = plot(Experiment_n_NO_air.*100,Experiment_n_NO,'s','Color','k','MarkerSize',11);
set(m2, 'markerfacecolor', get(m2, 'color'));
hold on
h1=plot(air_list_fullvib.*100,mine_n_NO_fullvib,'-','Color','k','LineWidth',3);
hold on
h1=plot(air_list_7e15_N2AB.*100,mine_n_NO_7e15_N2AB,':*','Color','r','MarkerSize',11,'LineWidth',2);
hold on
h1=plot(air_list_air4_1p5e15N2AB.*100,mine_n_NO_air4_1p5e15N2AB,'-*','Color','k','MarkerSize',11,'LineWidth',2);

text(0.4,2.3e19,'0.8 W','Color','k','FontSize',18)
text(0.4,1.5e19,'1000 sccm He','Color','k','FontSize',18)

xlim([0 0.013].*100)
xticks([0:0.003:0.013].*100)
xlabel('Synthetic air (%)')

set(gca, 'YScale', 'log')
ylim([1e19 1e21])
ylabel('NO density (m^{-3})')

set(gca,'FontSize', 15)

text(0.9,0.95,'(a)','Units','normalized','Color','k','FontSize',15)

set(gcf,'position',[100,100,600,450])

% saveas(figure(2),'/home/he/Downloads/a_Pre20_nNO_sensitivity.jpg');
