%% compare benchmarking result
clc, clear, close all

path(pathdef)

addpath('0_Preissing')

load calculationOfMineForBenchmarking_fullvib.mat
gasFlow_list_fullvib = mine_reset_gasFlow ;
mine_n_NO_fullvib = cell2mat(mine_n_NO_list);

load calculationOfMineForBenchmarking_7e15_N2AB.mat
gasFlow_list_7e15_N2AB = mine_reset_gasFlow ;
mine_n_NO_7e15_N2AB = cell2mat(mine_n_NO_list);

load calculationOfMineForBenchmarking_He_1p5e15N2AB.mat
gasFlow_list_He_1p5e15N2AB = mine_reset_gasFlow ;
mine_n_NO_He_1p5e15N2AB = cell2mat(mine_n_NO_list);

[Experiment_n_NO_gasFlow, Experiment_n_NO] = get_n_Te('Meas_B2_HeFlowVariation.csv');


figure(2)
m1=plot(Experiment_n_NO_gasFlow,Experiment_n_NO,'s','Color','k','MarkerSize',11)
set(m1, 'markerfacecolor', get(m1, 'color'));
hold on
h1=plot(gasFlow_list_fullvib,mine_n_NO_fullvib,'-','Color','k','LineWidth',3);
hold on
h1=plot(gasFlow_list_7e15_N2AB,mine_n_NO_7e15_N2AB,':*','Color','r','MarkerSize',11,'LineWidth',2);
hold on
h1=plot(gasFlow_list_He_1p5e15N2AB,mine_n_NO_He_1p5e15N2AB,'-*','Color','k','MarkerSize',11,'LineWidth',2);

text(1000,6.2e20,'0.6 W','Color','k','FontSize',18)
text(1000,4e20,'0.5% synthetic air','Color','k','FontSize',18)

xlim([100 2200])
xticks(100:300:2200)
xlabel('He gas flow (sccm)')

set(gca, 'YScale', 'log')
ylim([1e19 1e21])
ylabel('NO density (m^{-3})')

set(gca,'FontSize', 15)

text(0.9,0.95,'(b)','Units','normalized','Color','k','FontSize',15)

set(gcf,'position',[100,100,600,450])

% saveas(figure(2),'/home/he/Downloads/b_Pre20_nNO_sensitivity.jpg');

