%% compare benchmarking result
clc, clear, close all

path(pathdef)

addpath('0_Preissing')

load calculationOfMineForBenchmarking_fullvib.mat
power_list_fullvib = mine_reset_power;
mine_n_NO_fullvib = cell2mat(mine_n_NO_list);

load calculationOfMineForBenchmarking_7e15_N2AB.mat
power_list_7e15_N2AB = mine_reset_power;
mine_n_NO_7e15_N2AB = cell2mat(mine_n_NO_list);

load calculationOfMineForBenchmarking_Pabs1_1p5e15N2AB.mat
power_list_Pabs1_1p5e15N2AB = mine_reset_power;
mine_n_NO_Pabs1_1p5e15N2AB = cell2mat(mine_n_NO_list);

[Experiment_n_NO_power, Experiment_n_NO] = get_n_Te('Meas_B2_PowerVariation_1slm.csv');


figure(2)
m1 = plot(Experiment_n_NO_power,Experiment_n_NO,'s','Color','k','MarkerSize',11)
set(m1, 'markerfacecolor', get(m1, 'color'));
hold on
h1=plot(power_list_fullvib,mine_n_NO_fullvib,'-','Color','k','LineWidth',3);
hold on
h1=plot(power_list_7e15_N2AB,mine_n_NO_7e15_N2AB,':*','Color','r','MarkerSize',11,'LineWidth',2);
hold on
h1=plot(power_list_Pabs1_1p5e15N2AB,mine_n_NO_Pabs1_1p5e15N2AB,'-*','Color','k','MarkerSize',11,'LineWidth',2);

text(0.9,2e19,'1000 sccm He','Color','k','FontSize',18)
text(0.9,9e18,'0.5% synthetic air','Color','k','FontSize',18)

xlim([0 2.7])
xticks(0:0.3:2.7)
xlabel('Absorbed power (W)')

set(gca, 'YScale', 'log')
ylim([1e18 4e21])
ylabel('NO density (m^{-3})')

set(gca,'FontSize', 15)

text(0.9,0.95,'(c)','Units','normalized','Color','k','FontSize',15)

set(gcf,'position',[100,100,600,450])

% saveas(figure(2),'/home/he/Downloads/c_Pre20_nNO_sensitivity.jpg');


